IMDB Plugin Update Fehler

Fehler in TV-Browser
Frankie
Junior Member
Beiträge: 15
Registriert: 19 Mär 2019, 11:18

Re: IMDB Plugin Update Fehler

Beitrag von Frankie » 23 Mai 2019, 10:55

Hallo Jo,
Jo hat geschrieben:
19 Mai 2019, 19:15
Mir ist gerade noch eine Kleinigkeit aufgefallen: Groß in der Überschrift stehen Titel und Jahr aus den TVB-Daten, nicht die von IMDb:

bis zu vorletzten Beta hatte ich in der Überschrift den Originaltitel und das Releasejahr aus den IMDb-Daten ausgegeben - also so wie Du es jetzt vorschlägst. :-)

Ich habe das mit der jetzigen Beta auf die TV-Browser Daten umgestellt. Damit hat man meiner Meinung nach einen Vergleich zwischen Suchanfrage (TV-Browser Daten) und Suchergebnis (IMDb-Daten). Abweichungen werden aus meiner Sicht so augenfälliger, wie Dein Beispiel zeigt.

Es ist also beides möglich, d.h. ich könnte das auch wieder auf die IMDb-Daten umstellen.

Viele Grüße,
Frankie

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 23 Jun 2019, 17:58

sorry für lange weg, es war anderes wichtig ...

Wo finde ich Euer neues IMDB-plugin?

Ich hatte die tvbrowser version 4.0.1; eine neuere gibt es hier noch nicht: https://www.tvbrowser.org/index.php?id=tv-browser
Ich hab grad das alte "IMDb ratings 1.0.8.0" DEINSTALLIERT.
Aber unter Install/Update Plugins kommt "IMDb ratings" nun gar nicht mehr vor.

Was muss ich wie und wo machen, um Eure vorabveröffentlichte Version auszuprobieren?

Jo
Site Admin
Beiträge: 10768
Registriert: 07 Apr 2006, 23:39

Re: IMDB Plugin Update Fehler

Beitrag von Jo » 23 Jun 2019, 18:56

Es ist noch eine Testversion. Die gibt es z.B. unter http://nightly.tvbrowser.org/

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 24 Jun 2019, 17:42

Danke!

Ich habe mal selbst probiert, aber komme hier nicht weiter:

1)
./tvbrowser.sh fehlte in dem -nightly Archiv, also habe ich es rüberkopiert aus der 4.0.1


2)

Code: Alles auswählen

./tvbrowser.sh 
Starting TV-Browser...
Java exec found in PATH. Verifying...
Suitable java version found [java = 1.8.0_212]
Configuring environment...
Loading TV-Browser:
java -Xms16m -Xmx512m -XX:+IgnoreUnrecognizedVMOptions --add-modules=ALL-SYSTEM -Djava.library.path="~/tvbrowser-nightly-transportable" -Dpropertiesfile=linux.properties -jar tvbrowser.jar ''
Error: A JNI error has occurred, please check your installation and try again
Exception in thread "main" java.lang.UnsupportedClassVersionError: tvbrowser/TVBrowser has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
[...]
TV-Browser TERMINATED.
Ich muss also irgendwie ein neueres Java holen, was?

3)
Wenig Erfahrung damit. Eigentlich ist mein System auf dem neuesten Stand:

Code: Alles auswählen

sudo apt update && sudo apt upgrade
java -version
openjdk version "1.8.0_212"
OpenJDK Runtime Environment (build 1.8.0_212-8u212-b03-2~deb9u1-b03)
OpenJDK 64-Bit Server VM (build 25.212-b03, mixed mode)
Was ist der Standardweg auf Debian Linux, um Java zu updaten?


Gibt es irgendwo eine Anleitung für Linux(Debian) Nutzer für die nightly Versionen?

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 24 Jun 2019, 17:51

this seems to be it, for Debian

Code: Alles auswählen

su -
echo "deb http://ppa.launchpad.net/linuxuprising/java/ubuntu bionic main" | tee /etc/apt/sources.list.d/linuxuprising-java.list
apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 73C3DB2A
apt-get update
apt-get install oracle-java12-installer
exit
java -version

Code: Alles auswählen

java version "12.0.1" 2019-04-16
Java(TM) SE Runtime Environment (build 12.0.1+12)
Java HotSpot(TM) 64-Bit Server VM (build 12.0.1+12, mixed mode, sharing)

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 24 Jun 2019, 17:53

but ... crash error when starting up:

Code: Alles auswählen

 ./tvbrowser.sh 
Starting TV-Browser...
Java exec found in PATH. Verifying...
Suitable java version found [java = 12.0.1 2019-04-16]
Configuring environment...
Loading TV-Browser:
java -Xms16m -Xmx512m -XX:+IgnoreUnrecognizedVMOptions --add-modules=ALL-SYSTEM -Djava.library.path="~/tvbrowser-nightly-transportable" -Dpropertiesfile=linux.properties -jar tvbrowser.jar ''

Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/commons/lang3/StringUtils
	at tvbrowser.TVBrowser.isJavaImplementationSupported(TVBrowser.java:890)
	at tvbrowser.TVBrowser.showUsage(TVBrowser.java:932)
	at tvbrowser.TVBrowser.parseCommandline(TVBrowser.java:945)
	at tvbrowser.TVBrowser.main(TVBrowser.java:304)

Caused by: java.lang.ClassNotFoundException: org.apache.commons.lang3.StringUtils
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:583)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
	... 4 more

TV-Browser TERMINATED.

ds10
Site Admin
Beiträge: 17107
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: IMDB Plugin Update Fehler

Beitrag von ds10 » 24 Jun 2019, 18:06

Die Nightly von TV-Browser zu nehmen bringt da nichts, du musst die Nightly-Version vom Plugin nehmen: ImdbPlugin.jar

Die Datei kann man durch DragAndDrop auf die Programmtabelle installieren.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 29 Jun 2019, 20:45

ds10 hat geschrieben:
24 Jun 2019, 18:06
Die Nightly von TV-Browser zu nehmen bringt da nichts, du musst die Nightly-Version vom Plugin nehmen: ImdbPlugin.jar
Ja, beides von hier: http://nightly.tvbrowser.org/ oder?

Aber ich komme ja gar nicht soweit:
ak hat geschrieben:
24 Jun 2019, 17:53
but ... crash error when starting up:

Code: Alles auswählen

 ./tvbrowser.sh 
 
Starting TV-Browser...
[...]
Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/commons/lang3/StringUtils
[...]
TV-Browser TERMINATED.
Wie werd ich diesen Crash los?

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 29 Jun 2019, 20:52

Ah, achso.

Du willst, dass ich bei der Version 4.0.1 bleibe, und dort das neuere plugin reinwerfe.

Dann macht das crashen beim Start der nightly version natürlich nix, stimmt.

Gotcha. Danke.

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 29 Jun 2019, 21:03

Nun geht tvbrowser-4.0.1 nicht mehr:

Code: Alles auswählen

/usr/bin/tvbrowser

Starting TV-Browser...
Java exec found in PATH. Verifying...
Suitable java version found [java = 12.0.1 2019-04-16]

Configuring environment...
Loading TV-Browser:
java -Xms16m -Xmx512m -XX:+IgnoreUnrecognizedVMOptions --add-modules=ALL-SYSTEM -Djava.library.path="/usr/share/tvbrowser" -Dpropertiesfile=linux.properties -jar tvbrowser.jar ''

command line options:
    -minimized      The main window will be minimized after start up
    -nostartscreen  No start screen during start up
    -fullscreen     Start in fullscreen-mode
    -ignorejvm      Don't check for Sun Java
    -safemode       Don't load Plugins

20:58:14 INFO: Search for settings import in: '~/.tvbrowser'
20:58:14 INFO: No previous version of TV-Browser found - using default user settings
20:58:15 WARNING: Loading plugin file failed: /usr/share/tvbrowser/plugins/NewsPlugin.jar

java.lang.NoClassDefFoundError: javax/activation/UnsupportedDataTypeException
	at tvbrowser.core.PluginLoader.saveProxyInfo(PluginLoader.java:378)
	at tvbrowser.core.PluginLoader.loadPlugin(PluginLoader.java:242)
	at tvbrowser.core.PluginLoader.loadPlugins(PluginLoader.java:488)
	at tvbrowser.core.PluginLoader.loadAllPlugins(PluginLoader.java:528)
	at tvbrowser.TVBrowser.main(TVBrowser.java:490)

Caused by: java.lang.ClassNotFoundException: javax.activation.UnsupportedDataTypeException
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:583)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
	... 5 more

java.lang.NoClassDefFoundError: javax/activation/UnsupportedDataTypeException
	at tvbrowser.core.PluginLoader.saveProxyInfo(PluginLoader.java:378)
	at tvbrowser.core.PluginLoader.loadPlugin(PluginLoader.java:242)
	at tvbrowser.core.PluginLoader.loadPlugins(PluginLoader.java:488)
	at tvbrowser.core.PluginLoader.loadAllPlugins(PluginLoader.java:528)
	at tvbrowser.TVBrowser.main(TVBrowser.java:490)

Caused by: java.lang.ClassNotFoundException: javax.activation.UnsupportedDataTypeException
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:583)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
	... 5 more

20:58:15 WARNING: Key 'MainFrame.menuinfo.restart' not found in resource bundle 'tvbrowser.ui.mainframe.mainframe'
TV-Browser TERMINATED.
Weil dort steht

Code: Alles auswählen

20:58:15 WARNING: Loading plugin file failed: /usr/share/tvbrowser/plugins/NewsPlugin.jar
habe ich geschaut:

Code: Alles auswählen

ls /usr/share/tvbrowser/plugins/ -la
total 80
drwxr-xr-x 2 root root  4096 Jun 29 20:56 .
drwxr-xr-x 9 root root  4096 Jun 29 20:56 ..
-rw-r--r-- 1 root root 73721 Mar  6  2018 NewsPlugin.jar
Ich hatte auf Java12 geupdated, weil das nightly nicht mit meinem vorhandenen java8 laufen wollte, siehe oben.
Liegt das neue Problem vielleicht an der neuen Javaversion? Was kann ich tun? Was könnt Ihr tun?

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 29 Jun 2019, 21:42

besser dort lösen: viewtopic.php?f=3&t=18642

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 30 Jun 2019, 00:14

Läuft. Neues Plugin (1.1.5.0 beta), in altem (4.0.1) tvbrowser. Hurra. Übrigens: Deshalb war ich interessiert, dass das Plugin läuft. Danke!

ak
Full Member
Beiträge: 66
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 29 Jul 2019, 20:42

Nun, wo das IMDB-Plugin wieder geht (danke!! Schon ausgiebig benutzt. Bin zurück im Paradies, lol. Dankedankedanke) ...

... habe ich einen neuen Thread begonnen, wo Kleinigkeiten behoben werden können:

viewtopic.php?f=13&t=18654

Antworten